<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Name: Minimal CDA document
Description: A minimal CDA Release 2 document, that contains only a few attributes and relationships for the ClinicalDocument class:  
                     typeId: fixed 
                     id: unique id of the document instance 
                     code: type of document 
                     effectiveTime: creation date of the document 
                     confidentialityCode: confidentiality level indication for this document 
                     recordTarget: the record target (e.g. patient) 
                     author: author of this document 
                     custodian: custodian for this document 
                     component: contains (in this case) structured body 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000">
   <title>Minimal CDA document</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /
Item: (MinimalCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]"
         id="tmp-r-ba759e45-04b9-4f70-8f30-c6592feaa7d2">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']/@nullFlavor)">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'])&lt;=1">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(MinimalCDAdocument): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(MinimalCDAdocument): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']"
         id="tmp-r-ec64fb5f-39fb-4965-ad84-d3b821dcb54a">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MinimalCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.60.3.10.1'">(MinimalCDAdocument): @root SHALL have value '2.16.840.1.113883.3.1937.99.60.3.10.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-83f9c291-2999-410a-8322-32564f3c4b9c">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MinimalCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="@nullFlavor or (@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')">(MinimalCDAdocument): The element value SHALL be code '11524-6' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component"
         id="tmp-r-e9ccca54-9a8e-4711-8fc8-732922d05cf8">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component/hl7:structuredBody
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component/hl7:structuredBody"
         id="tmp-r-881a7313-e36e-43f4-8d53-0d51d4708e84">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(MinimalCDAdocument): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(MinimalCDAdocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(MinimalCDAdocument): element hl7:component is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:component)&lt;=1">(MinimalCDAdocument): element hl7:component appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component/hl7:structuredBody/hl7:component
Item: (MinimalCDAdocument)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component/hl7:structuredBody/hl7:component">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140627T130841/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: demo3-d108e175
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component/hl7:structuredBody/hl7:component
Item: (MinimalCDAdocument)
--></pattern>
